glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Value< char > Class Template Reference
Generic Values

`#include <glibmm/value_basictypes.h>`

Inheritance diagram for Glib::Value< char >:
[legend]

## Public Types
typedef char | CppType
typedef gchar | CType

## Public Member Functions
void | set (char data)
char | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type.
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase ()
void | init (GType type)
| Setup the GValue for storing the specified type.
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value.
void | reset ()
| Reset contents to the default value of its type.
GValue* | gobj ()
const GValue* | gobj () const

## Static Public Member Functions
static GType | value_type ()

## Additional Inherited Members
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Member Typedef Documentation

typedef char Glib::Value< char >::CppType

typedef gchar Glib::Value< char >::CType

## Member Function Documentation

char Glib::Value< char >::get | ( |  | ) | const

void Glib::Value< char >::set | ( | char | data | ) |

static GType Glib::Value< char >::value_type | ( |  | ) |
| static